Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## opencard.opt.security
Class DSAPublicKey

    java.lang.Object
      opencard.opt.security.DSAPublicKey

All Implemented Interfaces:
  java.io.Serializable, java.security.interfaces.DSAKey, java.security.interfaces.DSAPublicKey, java.security.Key, java.security.PublicKey

    public class DSAPublicKey

extends java.lang.Object
implements java.security.interfaces.DSAPublicKey

Contains a public DSA key. Implements the java.security.interfaces.DSAPublicKey interface In this package OpenCard provides key classes for common algorithms like RSA, DSA (or DES) that each concrete card service implementing a card service interface should support instead of defining its own key classes. Only for new PKA algorithms that OpenCard does not yet support a card service may define its own key classes.

Version:
  $Id: DSAPublicKey.java,v 1.1.1.1 1999/10/05 15:08:48 damke Exp $
Author:
  Peter Bendel (peter_bendel@de.ibm.com)
See Also:
  `DSAPublicKey`, Serialized Form

Field Summary

Fields inherited from interface java.security.interfaces.DSAPublicKey
`serialVersionUID`

Constructor Summary
`DSAPublicKey(java.math.BigInteger p, java.math.BigInteger q, java.math.BigInteger g, java.math.BigInteger y)` Produce a `DSAPublicKey` from the given BigIntegers.

Method Summary
`java.lang.String` | `getAlgorithm()` Conformance to the java.security interface
`byte[]` | `getEncoded()` Conformance to the java.security interface
`java.lang.String` | `getFormat()` Conformance to the java.security interface
`java.security.interfaces.DSAParams` | `getParams()` Returns the DSA-specific key parameters.
`java.math.BigInteger` | `getY()` Returns the value of the public key, `y`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DSAPublicKey

    public DSAPublicKey(java.math.BigInteger p,
                        java.math.BigInteger q,
                        java.math.BigInteger g,
                        java.math.BigInteger y)

  Produce a `DSAPublicKey` from the given BigIntegers.

  Parameters:
    `q` - subprime
    `p` - prime
    `g` - base
    `y` - public key

Method Detail

### getAlgorithm

    public java.lang.String getAlgorithm()

  Conformance to the java.security interface

  Specified by:
    `getAlgorithm` in interface `java.security.Key`
  See Also:
    `PublicKey`

### getEncoded

    public byte[] getEncoded()

  Conformance to the java.security interface

  Specified by:
    `getEncoded` in interface `java.security.Key`
  See Also:
    `PublicKey`

### getFormat

    public java.lang.String getFormat()

  Conformance to the java.security interface

  Specified by:
    `getFormat` in interface `java.security.Key`
  See Also:
    `PublicKey`

### getParams

    public java.security.interfaces.DSAParams getParams()

  Returns the DSA-specific key parameters. These parameters are never secret.

  Specified by:
    `getParams` in interface `java.security.interfaces.DSAKey`
  Returns:
    the DSA-specific key parameters.
  See Also:
    `DSAParams`

### getY

    public java.math.BigInteger getY()

  Returns the value of the public key, `y`.

  Specified by:
    `getY` in interface `java.security.interfaces.DSAPublicKey`
  Returns:
    the value of the public key, `y`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD